/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.prestashopicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum PrestaShopIcons implements Ikon {
    PS_30_80("ps-30-80", '\ue09d'),
    PS_40_105("ps-40-105", '\ue09e'),
    PS_50_120("ps-50-120", '\ue09f'),
    PS_60_140("ps-60-140", '\ue0a0'),
    PS_70_160("ps-70-160", '\ue0a1'),
    PS_95_200("ps-95-200", '\ue0a2'),
    AIM("ps-aim", 'a'),
    AIM_ALT("ps-aim-alt", '\ue036'),
    AIRPLANE("ps-airplane", '\ue0a3'),
    ALIGN_CENTERED("ps-align-centered", '\ue128'),
    ALIGN_JUSTIFIED("ps-align-justified", '\ue11b'),
    ALIGN_LEFT("ps-align-left", '\ue11d'),
    ALIGN_RIGHT("ps-align-right", '\ue11c'),
    AMAZON("ps-amazon", '\ue037'),
    AMBULANCE("ps-ambulance", '\ue162'),
    ANCHOR("ps-anchor", '\ue101'),
    ANY_SOLVENT("ps-any-solvent", '\ue0a4'),
    ANY_SOLVENT_WITHOUT_TETRACHLORETHYLENE("ps-any-solvent-without-tetrachlorethylene", '\ue0a5'),
    APPLE("ps-apple", '\ue039'),
    APPS("ps-apps", '\ue0c2'),
    APP_STORE("ps-app-store", '\ue038'),
    ARCHIVE("ps-archive", '\ue157'),
    ARROW_BOX("ps-arrow-box", '\ue141'),
    ARROW_DOWN("ps-arrow-down", '\ue158'),
    ARROW_LEFT("ps-arrow-left", '\ue159'),
    ARROW_RIGHT("ps-arrow-right", '\ue115'),
    ARROW_UP("ps-arrow-up", '\ue15a'),
    ARTO("ps-arto", 'b'),
    ASTERISK("ps-asterisk", '\ue15b'),
    ATTACHMENT("ps-attachment", '\ue0a6'),
    AWS("ps-aws", 'c'),
    BACKPACK("ps-backpack", '\ue14d'),
    BAIDU("ps-baidu", 'd'),
    BANK_SAFE("ps-bank-safe", '\ue03d'),
    BARREL("ps-barrel", '\ue0a8'),
    BAR_CODE("ps-bar-code", '\ue10b'),
    BASECAMP("ps-basecamp", 'e'),
    BATTERY("ps-battery", '\ue150'),
    BATTERY_CHARGE("ps-battery-charge", '\ue151'),
    BEBO("ps-bebo", 'f'),
    BEER("ps-beer", '\ue10d'),
    BEHANCE("ps-behance", 'g'),
    BELL("ps-bell", '\ue10e'),
    BIKE("ps-bike", '\ue0a9'),
    BING("ps-bing", 'h'),
    BIRTHDAY("ps-birthday", '\ue177'),
    BLASTER("ps-blaster", '\ue03f'),
    BLIP("ps-blip", 'i'),
    BLOGGER("ps-blogger", 'j'),
    BNTER("ps-bnter", 'k'),
    BOARD("ps-board", '\ue16e'),
    BOILED_EGG("ps-boiled-egg", '\ue041'),
    BOILED_EGG_FINGER("ps-boiled-egg-finger", '\ue042'),
    BONNET("ps-bonnet", '\ue172'),
    BOOK("ps-book", '\ue11f'),
    BOOK_TAG("ps-book-tag", '\ue10f'),
    BRANCH("ps-branch", '\ue0ce'),
    BRIGHTKITE("ps-brightkite", 'l'),
    BROKEN_LINK("ps-broken-link", '\ue0ab'),
    BROWSER("ps-browser", '\ue15c'),
    BUBBLE("ps-bubble", '\ue0ac'),
    BUG("ps-bug", '\ue124'),
    BUILDING("ps-building", '\ue125'),
    BULL_LEFT("ps-bull-left", '\ue132'),
    BULL_RIGHT("ps-bull-right", '\ue131'),
    BURGER("ps-burger", '\ue17d'),
    BUS_LONDON("ps-bus-london", '\ue0d0'),
    CALENDAR("ps-calendar", '\ue126'),
    CALENDAR_GRID("ps-calendar-grid", '\ue127'),
    CAMERA("ps-camera", '\ue129'),
    CAR("ps-car", '\ue0ae'),
    CART("ps-cart", '\ue043'),
    CART_SUPERMARKET("ps-cart-supermarket", '\ue096'),
    CHAT("ps-chat", '\ue134'),
    CHAT_ALT("ps-chat-alt", '\ue133'),
    CHECK("ps-check", '\ue15d'),
    CHECKED("ps-checked", '\ue161'),
    CHECK_BOX("ps-check-box", '\ue12b'),
    CHECK_BOX_EMPTY("ps-check-box-empty", '\ue12a'),
    CINCH("ps-cinch", 'm'),
    CLOCK("ps-clock", '\ue14b'),
    CLOTHES_WATER("ps-clothes-water", '\ue0fd'),
    CLOUD("ps-cloud", '\ue15e'),
    CLOUDAPP("ps-cloudapp", 'n'),
    CLUBS_CARD("ps-clubs-card", '\ue169'),
    COCKTAIL("ps-cocktail", '\ue0af'),
    CODE("ps-code", '\ue135'),
    COFFEE("ps-coffee", '\ue12e'),
    COFFEE_HOT("ps-coffee-hot", '\ue12f'),
    COIN("ps-coin", '\ue044'),
    COINS("ps-coins", '\ue045'),
    COMPASS("ps-compass", '\ue130'),
    CONTACT("ps-contact", '\ue173'),
    CONTRAST("ps-contrast", '\ue11a'),
    COOKIE("ps-cookie", '\ue175'),
    COPY("ps-copy", '\ue13a'),
    COROFLOT("ps-coroflot", 'o'),
    COUPLE("ps-couple", '\ue046'),
    CPU("ps-cpu", '\ue17a'),
    CREATIVE_COMMONS("ps-creative-commons", 'p'),
    CREDIT_CARD("ps-credit-card", '\ue047'),
    CROP("ps-crop", '\ue13c'),
    CROWN("ps-crown", '\ue048'),
    CUTLERY("ps-cutlery", '\ue155'),
    DAFT_PUNK("ps-daft-punk", '\ue049'),
    DAILYBOOTH("ps-dailybooth", 'q'),
    DASHBOARD("ps-dashboard", '\ue143'),
    DATA_BOARD("ps-data-board", '\ue16d'),
    DELETE("ps-delete", '\ue099'),
    DELICIOUS("ps-delicious", 'r'),
    DESIGNBUMP("ps-designbump", 's'),
    DESIGNFLOAT("ps-designfloat", 't'),
    DESIGNMOO("ps-designmoo", 'u'),
    DEVIANTART("ps-deviantart", 'v'),
    DIAMONDS_CARD("ps-diamonds-card", '\ue168'),
    DIGG("ps-digg", 'w'),
    DIGG_ALT("ps-digg-alt", 'x'),
    DIIGO("ps-diigo", 'y'),
    DISABLED("ps-disabled", '\ue0c5'),
    DOLLARS("ps-dollars", '\ue04b'),
    DOLLAR_BILL("ps-dollar-bill", '\ue04a'),
    DOUBLE_ARROW("ps-double-arrow", '\ue0b5'),
    DOWN("ps-down", '\ue105'),
    DOWNLOAD("ps-download", '\ue145'),
    DOWNLOAD_FROM_CLOUD("ps-download-from-cloud", '\ue15f'),
    DOWN_ARROW_CIRCLE("ps-down-arrow-circle", '\ue116'),
    DO_NOT_BLEACH("ps-do-not-bleach", '\ue0b0'),
    DO_NOT_DRY("ps-do-not-dry", '\ue0b1'),
    DO_NOT_IRON("ps-do-not-iron", '\ue0b2'),
    DO_NOT_WASH("ps-do-not-wash", '\ue0b3'),
    DO_NOT_WRING("ps-do-not-wring", '\ue0b4'),
    DRIBBBLE("ps-dribbble", 'z'),
    DRIP_DRY("ps-drip-dry", '\ue0b6'),
    DROP("ps-drop", '\ue0b7'),
    DROPBOX("ps-dropbox", 'A'),
    DRUPAL("ps-drupal", 'B'),
    DRY("ps-dry", '\ue0b8'),
    DRY_FLAT("ps-dry-flat", '\ue0b9'),
    DRY_IN_THE_SHADE("ps-dry-in-the-shade", '\ue0ba'),
    DRY_NORMAL_HIGHT_HEAT("ps-dry-normal-hight-heat", '\ue0bb'),
    DRY_NORMAL_LOW_HEAT("ps-dry-normal-low-heat", '\ue0bc'),
    DRY_NORMAL_NO_HEAT("ps-dry-normal-no-heat", '\ue0be'),
    DZONE("ps-dzone", 'C'),
    EBAY("ps-ebay", 'D'),
    EGG("ps-egg", '\ue04f'),
    EJECT("ps-eject", '\ue0bf'),
    EMBER("ps-ember", 'E'),
    ENLARGE("ps-enlarge", '\ue077'),
    ETSY("ps-etsy", 'F'),
    EURO_BILL("ps-euro-bill", '\ue051'),
    EVERNOTE("ps-evernote", 'G'),
    EXTINGUISHER("ps-extinguisher", '\ue052'),
    EYE("ps-eye", '\ue148'),
    FACEBOOK("ps-facebook", 'H'),
    FACEBOOK_ALT("ps-facebook-alt", 'I'),
    FACEBOOK_PLACES("ps-facebook-places", 'J'),
    FACTO("ps-facto", 'K'),
    FEEDBURNER("ps-feedburner", 'L'),
    FILE("ps-file", '\ue13b'),
    FILM("ps-film", '\ue0c1'),
    FILTER("ps-filter", '\ue0e4'),
    FIRE("ps-fire", '\ue147'),
    FISH("ps-fish", '\ue174'),
    FLAG("ps-flag", '\ue138'),
    FLAG_CORNER("ps-flag-corner", '\ue136'),
    FLAG_SCOUT("ps-flag-scout", '\ue137'),
    FLICKR("ps-flickr", 'M'),
    FOLDER("ps-folder", '\ue14a'),
    FOLKD("ps-folkd", 'N'),
    FORBIDDEN("ps-forbidden", '\ue109'),
    FORMSPRING("ps-formspring", 'O'),
    FORRST("ps-forrst", 'P'),
    FORWARD("ps-forward", '\ue107'),
    FOURSQUARE("ps-foursquare", 'Q'),
    FRIED_EGG("ps-fried-egg", '\ue050'),
    FRIENDFEED("ps-friendfeed", 'R'),
    FRIENDSTER("ps-friendster", 'S'),
    FUCK("ps-fuck", '\ue053'),
    FULL_SCREEN("ps-full-screen", '\ue054'),
    GAMEPAD("ps-gamepad", '\ue055'),
    GDGT("ps-gdgt", 'T'),
    GIFT("ps-gift", '\ue154'),
    GIRL("ps-girl", '\ue03a'),
    GIRL_2("ps-girl-2", '\ue056'),
    GIRL_ANGEL("ps-girl-angel", '\ue057'),
    GIRL_ANGRY("ps-girl-angry", '\ue058'),
    GIRL_BIG_SMILE("ps-girl-big-smile", '\ue059'),
    GIRL_CONFUSED("ps-girl-confused", '\ue03c'),
    GIRL_CRY("ps-girl-cry", '\ue05a'),
    GIRL_FLUSHED("ps-girl-flushed", '\ue05b'),
    GIRL_OPEN_MOUTH("ps-girl-open-mouth", '\ue05c'),
    GIRL_O_MOUTH("ps-girl-o-mouth", '\ue069'),
    GIRL_SAD("ps-girl-sad", '\ue03b'),
    GIRL_SAD_HUNAPPY("ps-girl-sad-hunappy", '\ue166'),
    GIRL_SLEEP("ps-girl-sleep", '\ue05d'),
    GIRL_SMILE("ps-girl-smile", '\ue05e'),
    GIRL_USER("ps-girl-user", '\ue05f'),
    GITHUB("ps-github", 'U'),
    GITHUB_ALT("ps-github-alt", 'V'),
    GLOBE("ps-globe", '\ue170'),
    GOODREADS("ps-goodreads", 'W'),
    GOOGLE("ps-google", 'X'),
    GOOGLE_BUZZ("ps-google-buzz", 'Y'),
    GOOGLE_TALK("ps-google-talk", 'Z'),
    GOWALLA("ps-gowalla", '0'),
    GOWALLA_ALT("ps-gowalla-alt", '1'),
    GROOVESHARK("ps-grooveshark", '2'),
    GUN("ps-gun", '\ue0c3'),
    GUY("ps-guy", '\ue060'),
    GUY_ANGEL("ps-guy-angel", '\ue061'),
    GUY_ANGRY("ps-guy-angry", '\ue062'),
    GUY_BIG_SMILE("ps-guy-big-smile", '\ue063'),
    GUY_CONFUSED("ps-guy-confused", '\ue064'),
    GUY_CRY("ps-guy-cry", '\ue065'),
    GUY_FLUSHED("ps-guy-flushed", '\ue066'),
    GUY_HAPPY("ps-guy-happy", '\ue067'),
    GUY_OPEN_MOUTH("ps-guy-open-mouth", '\ue06a'),
    GUY_O_MOUTH("ps-guy-o-mouth", '\ue068'),
    GUY_SAD("ps-guy-sad", '\ue06b'),
    GUY_SLEEP("ps-guy-sleep", '\ue06c'),
    GUY_SMILE("ps-guy-smile", '\ue06d'),
    GUY_USER("ps-guy-user", '\ue06e'),
    GUY_WRONG("ps-guy-wrong", '\ue06f'),
    HACKER_NEWS("ps-hacker-news", '3'),
    HAND("ps-hand", '\ue070'),
    HAND_POINTER_LEFT("ps-hand-pointer-left", '\ue071'),
    HAND_POINTER_RIGHT("ps-hand-pointer-right", '\ue072'),
    HAND_POINTER_TOP("ps-hand-pointer-top", '\ue073'),
    HAND_WASH("ps-hand-wash", '\ue0c4'),
    HANG_TO_DRY("ps-hang-to-dry", '\ue0c6'),
    HARD_DRIVE("ps-hard-drive", '\ue0c7'),
    HEADPHONES("ps-headphones", '\ue04d'),
    HEADSET("ps-headset", '\ue04e'),
    HEARTS_CARD("ps-hearts-card", '\ue16a'),
    HEAT("ps-heat", '\ue0bd'),
    HELM("ps-helm", '\ue040'),
    HI5("ps-hi5", '4'),
    HOME("ps-home", '\ue17e'),
    HOTDOG("ps-hotdog", '\ue075'),
    HOURGLASS("ps-hourglass", '\ue0c8'),
    HUNGRY("ps-hungry", '\ue076'),
    HYPE_MACHINE("ps-hype-machine", '5'),
    HYVES("ps-hyves", '6'),
    ICQ("ps-icq", '7'),
    IDENTI("ps-identi", '8'),
    IMAGE("ps-image", '\ue153'),
    IMPORTANT("ps-important", '\ue0c9'),
    INSTAPAPER("ps-instapaper", '9'),
    IPAD("ps-ipad", '\ue13e'),
    IPHONE("ps-iphone", '\ue13d'),
    IPOD("ps-ipod", '\ue14e'),
    IRON_ANY_TEMP("ps-iron-any-temp", '\ue0ca'),
    ITUNES("ps-itunes", '!'),
    IWATCH("ps-iwatch", '\ue14f'),
    JUSTICE("ps-justice", '\ue0cb'),
    KEYBOARD("ps-keyboard", '\ue0cc'),
    KIK("ps-kik", '"'),
    KROP("ps-krop", '#'),
    LAB("ps-lab", '\ue10c'),
    LABEL("ps-label", '\ue121'),
    LABEL_HOGWARTS("ps-label-hogwarts", '\ue120'),
    LAPTOP("ps-laptop", '\ue078'),
    LAST("ps-last", '$'),
    LEAF("ps-leaf", '\ue122'),
    LEFT("ps-left", '\ue102'),
    LEFT_ARROW_CIRCLE("ps-left-arrow-circle", '\ue119'),
    LEGO("ps-lego", '\ue17f'),
    LIGHTNING("ps-lightning", '\ue152'),
    LINK("ps-link", '\ue0cd'),
    LINKEDIN("ps-linkedin", '%'),
    LINKEDIN_ALT("ps-linkedin-alt", '&'),
    LIQUOR("ps-liquor", '\ue0cf'),
    LIVEJOURNAL("ps-livejournal", '\''),
    LOVEDSGN("ps-lovedsgn", '('),
    MAC("ps-mac", '\ue13f'),
    MACHINE_WASH("ps-machine-wash", '\ue0d1'),
    MACHINE_WASH_GENTLE_OR_DELICATE("ps-machine-wash-gentle-or-delicate", '\ue0d2'),
    MACHINE_WASH_PERMANENT_PRESS("ps-machine-wash-permanent-press", '\ue0d3'),
    MAGNIFYING_GLASS("ps-magnifying-glass", '\ue0d5'),
    MAIL("ps-mail", '\ue079'),
    MAILBOX("ps-mailbox", '\ue163'),
    MAIL_BACK("ps-mail-back", '\ue07a'),
    MAIL_BILL("ps-mail-bill", '\ue07b'),
    MAIL_STAMP("ps-mail-stamp", '\ue07c'),
    MAN("ps-man", '\ue0da'),
    MAXIMUM_TEMP_110_230("ps-maximum-temp-110-230", '\ue0d6'),
    MAXIMUM_TEMP_150_300("ps-maximum-temp-150-300", '\ue0d7'),
    MAXIMUM_TEMP_200_390("ps-maximum-temp-200-390", '\ue0d8'),
    MAYO_HOTDOG("ps-mayo-hotdog", '\ue074'),
    MEETUP("ps-meetup", ')'),
    MEGAPHONE("ps-megaphone", '\ue0d9'),
    METACAFE("ps-metacafe", '*'),
    MIC("ps-mic", '\ue0db'),
    MIC_OFF("ps-mic-off", '\ue0dc'),
    MILKSHAKE("ps-milkshake", '\ue17b'),
    MING("ps-ming", '+'),
    MINUS("ps-minus", '\ue114'),
    MINUS_BOX("ps-minus-box", '\ue112'),
    MINUS_CIRCLE("ps-minus-circle", '\ue11e'),
    MINUS_CIRCLE_1("ps-minus-circle-1", '\ue110'),
    MISTER_WONG("ps-mister-wong", ','),
    MIXX("ps-mixx", '-'),
    MIXX_ALT("ps-mixx-alt", '.'),
    MOBILEME("ps-mobileme", '/'),
    MOON("ps-moon", '\ue07d'),
    MOUSE("ps-mouse", '\ue14c'),
    MSN_MESSENGER("ps-msn-messenger", ':'),
    MUSIC("ps-music", '\ue04c'),
    MUSIC_SCORE("ps-music-score", '\ue07e'),
    MYSPACE("ps-myspace", ';'),
    MYSPACE_ALT("ps-myspace-alt", '<'),
    NEWSVINE("ps-newsvine", '='),
    NEXT("ps-next", '\ue0dd'),
    NON_CHLORINE_BLEACH_IF_NEEDED("ps-non-chlorine-bleach-if-needed", '\ue0de'),
    NO_EYE("ps-no-eye", '\ue149'),
    OFFICIAL("ps-official", '>'),
    OPENID("ps-openid", '?'),
    OPEN_PADLOCK("ps-open-padlock", '\ue07f'),
    ORGANISATION("ps-organisation", '\ue080'),
    ORKUT("ps-orkut", '@'),
    PADLOCK("ps-padlock", '\ue081'),
    PANDORA("ps-pandora", '['),
    PANT("ps-pant", '\ue16c'),
    PAPER_TABLET("ps-paper-tablet", '\ue082'),
    PATH("ps-path", ']'),
    PAYPAL("ps-paypal", '^'),
    PC("ps-pc", '\ue178'),
    PDIDDY("ps-pdiddy", '\ue083'),
    PEN("ps-pen", '\ue156'),
    PENKNIFE("ps-penknife", '\ue0df'),
    PEOPLE_TEAM("ps-people-team", '\ue084'),
    PETROLEUM_SOLVENT_STEAM("ps-petroleum-solvent-steam", '\ue0e0'),
    PHONE("ps-phone", '\ue0e1'),
    PHOTOBUCKET("ps-photobucket", '_'),
    PIANO("ps-piano", '\ue0e2'),
    PICASA("ps-picasa", '`'),
    PICASSA("ps-picassa", '{'),
    PIGGY_BANK("ps-piggy-bank", '\ue085'),
    PIGGY_BANK_COINS("ps-piggy-bank-coins", '\ue086'),
    PIN("ps-pin", '\ue0e3'),
    PINBOARD("ps-pinboard", '|'),
    PING("ps-ping", '}'),
    PINGCHAT("ps-pingchat", '~'),
    PIN_MAP("ps-pin-map", '\ue171'),
    PIZZA("ps-pizza", '\ue176'),
    PLANE("ps-plane", '\ue0e5'),
    PLAY("ps-play", '\ue106'),
    PLAYSTATION("ps-playstation", '\\'),
    PLIXI("ps-plixi", '\ue000'),
    PLURK("ps-plurk", '\ue001'),
    PLUS("ps-plus", '\ue113'),
    PLUS_BOX("ps-plus-box", '\ue111'),
    PLUS_CIRCLE("ps-plus-circle", '\ue164'),
    PODCAST("ps-podcast", '\ue002'),
    POSTEROUS("ps-posterous", '\ue003'),
    POWER("ps-power", '\ue087'),
    PRESTON("ps-preston", '\ue180'),
    PREVIOUS("ps-previous", '\ue0e6'),
    PRINTER("ps-printer", '\ue088'),
    PRISON_SCHOOL_BUS("ps-prison-school-bus", '\ue0ad'),
    PROMO("ps-promo", '\ue089'),
    PULL("ps-pull", '\ue16b'),
    PUZZLE("ps-puzzle", '\ue08a'),
    QIK("ps-qik", '\ue004'),
    QUIK("ps-quik", '\ue005'),
    QUORA("ps-quora", '\ue006'),
    QUOTE("ps-quote", '\ue0e7'),
    RADIO("ps-radio", '\ue12d'),
    RADIO_EMPTY("ps-radio-empty", '\ue12c'),
    RAM("ps-ram", '\ue179'),
    RANDOM("ps-random", '\ue140'),
    RDIO("ps-rdio", '\ue007'),
    READERNAUT("ps-readernaut", '\ue008'),
    REDDIT("ps-reddit", '\ue009'),
    RESIZE("ps-resize", '\ue08b'),
    RETWEET("ps-retweet", '\ue00a'),
    RETWEET_1("ps-retweet-1", '\ue0e8'),
    REWIND("ps-rewind", '\ue108'),
    RIGHT("ps-right", '\ue103'),
    RIGHT_ARROW_CIRCLE("ps-right-arrow-circle", '\ue118'),
    ROAD("ps-road", '\ue08c'),
    ROBO("ps-robo", '\ue00b'),
    ROW_SETTING("ps-row-setting", '\ue139'),
    RSS("ps-rss", '\ue00c'),
    RSS_ICON("ps-rss-icon", '\ue08d'),
    SAFE("ps-safe", '\ue08e'),
    SALE_TAG("ps-sale-tag", '\ue08f'),
    SAVE("ps-save", '\ue090'),
    SCISSORS("ps-scissors", '\ue142'),
    SCRIBD("ps-scribd", '\ue00d'),
    SHARETHIS("ps-sharethis", '\ue00e'),
    SHIELD("ps-shield", '\ue091'),
    SHOE("ps-shoe", '\ue16f'),
    SHOPPING_CART("ps-shopping-cart", '\ue03e'),
    SIGN("ps-sign", '\ue093'),
    SIMPLENOTE("ps-simplenote", '\ue00f'),
    SKYPE("ps-skype", '\ue010'),
    SLASHDOT("ps-slashdot", '\ue011'),
    SLIDESHARE("ps-slideshare", '\ue012'),
    SMUGMUG("ps-smugmug", '\ue013'),
    SOUND("ps-sound", '\ue0e9'),
    SOUNDCLOUD("ps-soundcloud", '\ue014'),
    SOUND_DOWN("ps-sound-down", '\ue0ea'),
    SOUND_LEVEL_ONE("ps-sound-level-one", '\ue0eb'),
    SOUND_LEVEL_TWO("ps-sound-level-two", '\ue0ec'),
    SOUND_PLUS("ps-sound-plus", '\ue0ed'),
    SPADES_CARD("ps-spades-card", '\ue167'),
    SPOTIFY("ps-spotify", '\ue015'),
    SQUARESPACE("ps-squarespace", '\ue016'),
    SQUIDOO("ps-squidoo", '\ue017'),
    SREENSHOT("ps-sreenshot", '\ue094'),
    STATS("ps-stats", '\ue10a'),
    STEAM("ps-steam", '\ue018'),
    STETHOSCOPE("ps-stethoscope", '\ue0ee'),
    STORE("ps-store", '\ue092'),
    STUMBLEUPON("ps-stumbleupon", '\ue019'),
    SUITCASE("ps-suitcase", '\ue0ef'),
    SUN("ps-sun", '\ue095'),
    SWITCH("ps-switch", '\ue0c0'),
    TACOS("ps-tacos", '\ue17c'),
    TAG("ps-tag", '\ue097'),
    TARGET("ps-target", '\ue0f0'),
    TECHNORATI("ps-technorati", '\ue01a'),
    THREEWORDS("ps-threewords", '\ue01b'),
    TICKET("ps-ticket", '\ue0f1'),
    TOKEN("ps-token", '\ue098'),
    TRIANGLE("ps-triangle", '\ue0aa'),
    TRIBE("ps-tribe", '\ue01c'),
    TRIPIT("ps-tripit", '\ue01d'),
    TROPHY("ps-trophy", '\ue0f2'),
    TRUCK("ps-truck", '\ue165'),
    TRUCK_1("ps-truck-1", '\ue0f6'),
    TUMBLE_DRY("ps-tumble-dry", '\ue0f3'),
    TUMBLR("ps-tumblr", '\ue01e'),
    TWITTER("ps-twitter", '\ue01f'),
    TWITTER_ALT("ps-twitter-alt", '\ue020'),
    UFO("ps-ufo", '\ue0f4'),
    UP("ps-up", '\ue104'),
    UPLOAD("ps-upload", '\ue146'),
    UPLOAD_TO_CLOUD("ps-upload-to-cloud", '\ue160'),
    UP_ARROW_CIRCLE("ps-up-arrow-circle", '\ue117'),
    USER("ps-user", '\ue09a'),
    VCARD("ps-vcard", '\ue021'),
    VIDDLER("ps-viddler", '\ue022'),
    VIDEO_CAMERA("ps-video-camera", '\ue0f5'),
    VIMEO("ps-vimeo", '\ue023'),
    VIRB("ps-virb", '\ue024'),
    W3("ps-w3", '\ue025'),
    WALLET("ps-wallet", '\ue09b'),
    WAND("ps-wand", '\ue0d4'),
    WARNING("ps-warning", '\ue0a7'),
    WATCH("ps-watch", '\ue09c'),
    WATER_TEMPERATURE_30("ps-water-temperature-30", '\ue0f7'),
    WATER_TEMPERATURE_40("ps-water-temperature-40", '\ue0f8'),
    WATER_TEMPERATURE_50("ps-water-temperature-50", '\ue0f9'),
    WATER_TEMPERATURE_60("ps-water-temperature-60", '\ue0fa'),
    WATER_TEMPERATURE_70("ps-water-temperature-70", '\ue0fb'),
    WATER_TEMPERATURE_95("ps-water-temperature-95", '\ue0fc'),
    WHATSAPP("ps-whatsapp", '\ue026'),
    WIKIPEDIA("ps-wikipedia", '\ue027'),
    WINDOWS("ps-windows", '\ue028'),
    WISTS("ps-wists", '\ue029'),
    WOMAN("ps-woman", '\ue0fe'),
    WORDPRESS("ps-wordpress", '\ue02a'),
    WORDPRESS_ALT("ps-wordpress-alt", '\ue02b'),
    WORK_CASE("ps-work-case", '\ue123'),
    WORLD("ps-world", '\ue144'),
    XING("ps-xing", '\ue02c'),
    YAHOO("ps-yahoo", '\ue02d'),
    YAHOO_BUZZ("ps-yahoo-buzz", '\ue02e'),
    YAHOO_MESSENGER("ps-yahoo-messenger", '\ue02f'),
    YELP("ps-yelp", '\ue030'),
    YOUTUBE("ps-youtube", '\ue031'),
    YOUTUBE_ALT("ps-youtube-alt", '\ue032'),
    ZERPLY("ps-zerply", '\ue033'),
    ZOOM_IN("ps-zoom-in", '\ue0ff'),
    ZOOM_OUT("ps-zoom-out", '\ue100'),
    ZOOTOOL("ps-zootool", '\ue034'),
    ZYNGA("ps-zynga", '\ue035');
    
    public static PrestaShopIcons findByDescription(String description) {
        for (PrestaShopIcons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    PrestaShopIcons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}