/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.simplelineicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum SimpleLineIcons implements Ikon {
    ACTION_REDO("sil-action-redo", '\ue051'),
    ACTION_UNDO("sil-action-undo", '\ue050'),
    ANCHOR("sil-anchor", '\ue029'),
    ARROW_DOWN("sil-arrow-down", '\ue604'),
    ARROW_DOWN_CIRCLE("sil-arrow-down-circle", '\ue07b'),
    ARROW_LEFT("sil-arrow-left", '\ue605'),
    ARROW_LEFT_CIRCLE("sil-arrow-left-circle", '\ue07a'),
    ARROW_RIGHT("sil-arrow-right", '\ue606'),
    ARROW_RIGHT_CIRCLE("sil-arrow-right-circle", '\ue079'),
    ARROW_UP("sil-arrow-up", '\ue607'),
    ARROW_UP_CIRCLE("sil-arrow-up-circle", '\ue078'),
    BADGE("sil-badge", '\ue028'),
    BAG("sil-bag", '\ue04f'),
    BAN("sil-ban", '\ue07c'),
    BASKET("sil-basket", '\ue04e'),
    BASKET_LOADED("sil-basket-loaded", '\ue04d'),
    BELL("sil-bell", '\ue027'),
    BOOK_OPEN("sil-book-open", '\ue04c'),
    BRIEFCASE("sil-briefcase", '\ue04b'),
    BUBBLE("sil-bubble", '\ue07d'),
    BUBBLES("sil-bubbles", '\ue04a'),
    BULB("sil-bulb", '\ue076'),
    CALCULATOR("sil-calculator", '\ue049'),
    CALENDAR("sil-calendar", '\ue075'),
    CALL_END("sil-call-end", '\ue048'),
    CALL_IN("sil-call-in", '\ue047'),
    CALL_OUT("sil-call-out", '\ue046'),
    CAMERA("sil-camera", '\ue07f'),
    CAMRECORDER("sil-camrecorder", '\ue07e'),
    CHART("sil-chart", '\ue077'),
    CHECK("sil-check", '\ue080'),
    CHEMISTRY("sil-chemistry", '\ue026'),
    CLOCK("sil-clock", '\ue081'),
    CLOSE("sil-close", '\ue082'),
    CLOUD_DOWNLOAD("sil-cloud-download", '\ue083'),
    CLOUD_UPLOAD("sil-cloud-upload", '\ue084'),
    COMPASS("sil-compass", '\ue045'),
    CONTROL_END("sil-control-end", '\ue074'),
    CONTROL_FORWARD("sil-control-forward", '\ue073'),
    CONTROL_PAUSE("sil-control-pause", '\ue072'),
    CONTROL_PLAY("sil-control-play", '\ue071'),
    CONTROL_REWIND("sil-control-rewind", '\ue070'),
    CONTROL_START("sil-control-start", '\ue06f'),
    CREDIT_CARD("sil-credit-card", '\ue025'),
    CROP("sil-crop", '\ue024'),
    CUP("sil-cup", '\ue044'),
    CURSOR("sil-cursor", '\ue06e'),
    CURSOR_MOVE("sil-cursor-move", '\ue023'),
    DIAMOND("sil-diamond", '\ue043'),
    DIRECTION("sil-direction", '\ue042'),
    DIRECTIONS("sil-directions", '\ue041'),
    DISC("sil-disc", '\ue022'),
    DISLIKE("sil-dislike", '\ue06d'),
    DOC("sil-doc", '\ue085'),
    DOCS("sil-docs", '\ue040'),
    DRAWER("sil-drawer", '\ue03f'),
    DROP("sil-drop", '\ue03e'),
    EARPHONES("sil-earphones", '\ue03d'),
    EARPHONES_ALT("sil-earphones-alt", '\ue03c'),
    EMOTSMILE("sil-emotsmile", '\ue021'),
    ENERGY("sil-energy", '\ue020'),
    ENVELOPE("sil-envelope", '\ue086'),
    ENVELOPE_LETTER("sil-envelope-letter", '\ue01f'),
    ENVELOPE_OPEN("sil-envelope-open", '\ue01e'),
    EQUALIZER("sil-equalizer", '\ue06c'),
    EVENT("sil-event", '\ue619'),
    EXCLAMATION("sil-exclamation", '\ue617'),
    EYE("sil-eye", '\ue087'),
    EYEGLASS("sil-eyeglass", '\ue01d'),
    FEED("sil-feed", '\ue03b'),
    FILM("sil-film", '\ue03a'),
    FIRE("sil-fire", '\ue01c'),
    FLAG("sil-flag", '\ue088'),
    FOLDER("sil-folder", '\ue089'),
    FOLDER_ALT("sil-folder-alt", '\ue039'),
    FRAME("sil-frame", '\ue038'),
    GAME_CONTROLLER("sil-game-controller", '\ue01b'),
    GHOST("sil-ghost", '\ue01a'),
    GLOBE("sil-globe", '\ue037'),
    GLOBE_ALT("sil-globe-alt", '\ue036'),
    GRADUATION("sil-graduation", '\ue019'),
    GRAPH("sil-graph", '\ue06b'),
    GRID("sil-grid", '\ue06a'),
    HANDBAG("sil-handbag", '\ue035'),
    HEART("sil-heart", '\ue08a'),
    HOME("sil-home", '\ue069'),
    HOURGLASS("sil-hourglass", '\ue018'),
    INFO("sil-info", '\ue08b'),
    KEY("sil-key", '\ue08c'),
    LAYERS("sil-layers", '\ue034'),
    LIKE("sil-like", '\ue068'),
    LINK("sil-link", '\ue08d'),
    LIST("sil-list", '\ue067'),
    LOCATION_PIN("sil-location-pin", '\ue096'),
    LOCK("sil-lock", '\ue08e'),
    LOCK_OPEN("sil-lock-open", '\ue08f'),
    LOGIN("sil-login", '\ue066'),
    LOGOUT("sil-logout", '\ue065'),
    LOOP("sil-loop", '\ue064'),
    MAGIC_WAND("sil-magic-wand", '\ue017'),
    MAGNET("sil-magnet", '\ue016'),
    MAGNIFIER("sil-magnifier", '\ue090'),
    MAGNIFIER_ADD("sil-magnifier-add", '\ue091'),
    MAGNIFIER_REMOVE("sil-magnifier-remove", '\ue092'),
    MAP("sil-map", '\ue033'),
    MENU("sil-menu", '\ue601'),
    MICROPHONE("sil-microphone", '\ue063'),
    MINUS("sil-minus", '\ue615'),
    MOUSE("sil-mouse", '\ue015'),
    MUSIC_TONE("sil-music-tone", '\ue062'),
    MUSIC_TONE_ALT("sil-music-tone-alt", '\ue061'),
    MUSTACHE("sil-mustache", '\ue014'),
    NOTE("sil-note", '\ue060'),
    NOTEBOOK("sil-notebook", '\ue013'),
    OPTIONS("sil-options", '\ue603'),
    OPTIONS_VERTICAL("sil-options-vertical", '\ue602'),
    ORGANIZATION("sil-organization", '\ue616'),
    PAPER_CLIP("sil-paper-clip", '\ue093'),
    PAPER_PLANE("sil-paper-plane", '\ue094'),
    PAYPAL("sil-paypal", '\ue608'),
    PENCIL("sil-pencil", '\ue05f'),
    PEOPLE("sil-people", '\ue001'),
    PHONE("sil-phone", '\ue600'),
    PICTURE("sil-picture", '\ue032'),
    PIE_CHART("sil-pie-chart", '\ue05e'),
    PIN("sil-pin", '\ue031'),
    PLANE("sil-plane", '\ue012'),
    PLAYLIST("sil-playlist", '\ue030'),
    PLUS("sil-plus", '\ue095'),
    POWER("sil-power", '\ue097'),
    PRESENT("sil-present", '\ue02f'),
    PRINTER("sil-printer", '\ue02e'),
    PUZZLE("sil-puzzle", '\ue02d'),
    QUESTION("sil-question", '\ue05d'),
    REFRESH("sil-refresh", '\ue098'),
    RELOAD("sil-reload", '\ue099'),
    ROCKET("sil-rocket", '\ue05c'),
    SCREEN_DESKTOP("sil-screen-desktop", '\ue011'),
    SCREEN_SMARTPHONE("sil-screen-smartphone", '\ue010'),
    SCREEN_TABLET("sil-screen-tablet", '\ue00f'),
    SETTINGS("sil-settings", '\ue09a'),
    SHARE("sil-share", '\ue05b'),
    SHARE_ALT("sil-share-alt", '\ue05a'),
    SHIELD("sil-shield", '\ue00e'),
    SHUFFLE("sil-shuffle", '\ue059'),
    SIZE_ACTUAL("sil-size-actual", '\ue058'),
    SIZE_FULLSCREEN("sil-size-fullscreen", '\ue057'),
    SOCIAL_BEHANCE("sil-social-behance", '\ue610'),
    SOCIAL_DRIBBBLE("sil-social-dribbble", '\ue00d'),
    SOCIAL_DROPBOX("sil-social-dropbox", '\ue00c'),
    SOCIAL_FACEBOOK("sil-social-facebook", '\ue00b'),
    SOCIAL_FOURSQARE("sil-social-foursqare", '\ue611'),
    SOCIAL_GITHUB("sil-social-github", '\ue60c'),
    SOCIAL_GOOGLE("sil-social-google", '\ue60d'),
    SOCIAL_INSTAGRAM("sil-social-instagram", '\ue609'),
    SOCIAL_LINKEDIN("sil-social-linkedin", '\ue60a'),
    SOCIAL_PINTEREST("sil-social-pinterest", '\ue60b'),
    SOCIAL_REDDIT("sil-social-reddit", '\ue60e'),
    SOCIAL_SKYPE("sil-social-skype", '\ue60f'),
    SOCIAL_SOUNDCLOUD("sil-social-soundcloud", '\ue612'),
    SOCIAL_SPOTIFY("sil-social-spotify", '\ue613'),
    SOCIAL_STEAM("sil-social-steam", '\ue620'),
    SOCIAL_STUMBLEUPON("sil-social-stumbleupon", '\ue614'),
    SOCIAL_TUMBLR("sil-social-tumblr", '\ue00a'),
    SOCIAL_TWITTER("sil-social-twitter", '\ue009'),
    SOCIAL_VKONTAKTE("sil-social-vkontakte", '\ue618'),
    SOCIAL_YOUTUBE("sil-social-youtube", '\ue008'),
    SPEECH("sil-speech", '\ue02c'),
    SPEEDOMETER("sil-speedometer", '\ue007'),
    STAR("sil-star", '\ue09b'),
    SUPPORT("sil-support", '\ue056'),
    SYMBOL_FEMALE("sil-symbol-female", '\ue09c'),
    SYMBOL_MALE("sil-symbol-male", '\ue09d'),
    TAG("sil-tag", '\ue055'),
    TARGET("sil-target", '\ue09e'),
    TRASH("sil-trash", '\ue054'),
    TROPHY("sil-trophy", '\ue006'),
    UMBRELLA("sil-umbrella", '\ue053'),
    USER("sil-user", '\ue005'),
    USER_FEMALE("sil-user-female", '\ue000'),
    USER_FOLLOW("sil-user-follow", '\ue002'),
    USER_FOLLOWING("sil-user-following", '\ue003'),
    USER_UNFOLLOW("sil-user-unfollow", '\ue004'),
    VECTOR("sil-vector", '\ue02b'),
    VOLUME_1("sil-volume-1", '\ue09f'),
    VOLUME_2("sil-volume-2", '\ue0a0'),
    VOLUME_OFF("sil-volume-off", '\ue0a1'),
    WALLET("sil-wallet", '\ue02a'),
    WRENCH("sil-wrench", '\ue052');

    public static SimpleLineIcons findByDescription(String description) {
        for (SimpleLineIcons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    SimpleLineIcons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}